Bric::App::Callback::Util::Contact(3)

NAME
Bric::App::Callback::Util::Contact - Contact utility functions for callbacks

SYNOPSIS
  use Bric::App::Callback::Util::Contact qw(:all);
  update_contacts($params, $person);

DESCRIPTION
This module provides utility functions for managing contacts in callback classes that manage Bric::Biz::Person objects.

INTERFACE

  Functions
update_contacts

  update_contacts($params, $person);

Updates the contacts for $person by pulling the contact data from $params. See Bric::App::Callback::Profile::User for a sample usage.

AUTHOR
Scott Lanning <lannings@who.int>

SEE ALSO

Bric::App::Callback::Profile::User
    This callback class uses Bric::App::Callback::Util::Contact.

Bric::App::Callback
    This is the base class for all callback classes.

COPYRIGHT AND LICENSE
Copyright (c) 2003-2004 World Health Organization and Kineticode, Inc. See Bric::License for complete license terms and conditions.